Friday, 25 September 2015

Introduction and requirements for using YII2 Farmework


What is Yii

Yii is a high performance, component-based PHP framework for rapidly
developing modern Web applications. The name Yii (pronounced Yee or [ji
:]) means “simple and evolutionary” in Chinese. It can also be thought of
as an acronym for Yes It Is!

Requirements and Prerequisites

Yii 2.0 requires PHP 5.4.0 or above. You can find more detailed requirements
for individual features by running the requirement checker included in every
Yii release.

Using Yii requires basic knowledge of object-oriented programming (OOP),
as Yii is a pure OOP-based framework. Yii 2.0 also makes use of the latest
features of PHP, such as namespaces2 and traits3 . Understanding these con-
cepts will help you more easily pick up Yii 2.0.

How to setup / install PHP 5.6 on Ubuntu 12.04, 14.04 or 14.10

sudo add-apt-repository ppa:ondrej/php5-5.6
sudo apt-get update
sudo apt-get install php5
To properly check  the installed version of PHP do: 
php5 -v 

How to install mysql?

This is the mysql server witch you need.

sudo apt-get install mysql-server
The client you need it if you want to run commands from the workbench and not from a terminal. so this is optional.

sudo apt-get install mysql-client
and for Mysql-Workbench(optional):

sudo apt-get install mysql-workbench

Install phpMyAdmin

phpMyAdmin is a very popular MySQL management software package.

Step 1: Install phpMyAdmin

First, you’ll follow a simple best practice: ensuring the list of available packages is up to date before installing anything new.

apt-get -y update

Then it’s a matter of just running one command for installation via apt-get:

apt-get -y install phpmyadmin

Step 2: Basic Configuration

As the installation runs you’ll be asked a few simple questions regarding the basic configuration of phpMyAdmin.

Step 3: Finish the Configuration of Apache

For a refresher on editing files

vi /etc/apache2/apache2.conf

Add the following to the bottom of the file:

# phpMyAdmin Configuration

Include /etc/phpmyadmin/apache.conf

And, restart Apache 2 with the following command:

service apache2 restart

Verify that phpMyAdmin is working by visiting the_IP_of_your_server/phpmyadmin.

For example:

Install NetBeans IDE 8.0:

NetBeans is a software development platform written in Java. The NetBeans Platform allows applications to be developed from a set of modular software components called modules.

Applications based on the NetBeans Platform, including the NetBeans integrated development environment (IDE), can be extended by third party developers.

JDK 7u80 with NetBeans 8.0.2

This distribution of the JDK includes the Java SE bundle of NetBeans IDE, which is a 

powerful integrated development environment for developing applications on the Java platform. 

Click Download

No comments:

Post a Comment